• # Pas vu ton nouveau journal :)

    Posté par (page perso) . Évalué à 3.

    Bon, je reposte ici ça sera plus simple. J'arrive toujours pas a le compiler avec Ubuntu Dapper :

    g++ -c -pipe -Wall -W -O2 -D_REENTRANT -DWITH_JACK -DWITH_LIBAO -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -I/usr/share/qt3/mkspecs/default -I. -I. -I/usr/include/qt3 -Isrc/moc/ -o object_files/WavFile.o src/audio_IO/WavFile.cpp
    src/audio_IO/WavFile.cpp: In constructor «WavFile::WavFile(const char*)»:
    src/audio_IO/WavFile.cpp:41: erreur: «SFM_READ» was not declared in this scope
    src/audio_IO/WavFile.cpp:41: erreur: «sf_open» was not declared in this scope
    src/audio_IO/WavFile.cpp:44: erreur: «sf_strerror» was not declared in this scope
    src/audio_IO/WavFile.cpp:53: erreur: «struct SF_INFO» has no member named «frames»
    src/audio_IO/WavFile.cpp:90: attention : comparaison entre des expressions entières signée et non signée
    src/audio_IO/WavFile.cpp:112: erreur: «struct SF_INFO» has no member named «frames»
    src/audio_IO/WavFile.cpp:113: erreur: «struct SF_INFO» has no member named «frames»
    make[1]: *** [object_files/WavFile.o] Erreur 1
    make[1]: quittant le répertoire « /home/dawar/slag-0.1 »
    make: *** [slag] Erreur 2

    version gcc 4.0.3 (Ubuntu 4.0.3-1ubuntu5)

    J'ai poutant bien installé les -dev de libsndfile et libsamplerate...

    Même erreur avec gcc 3.4.6.

    Ha oui, sinon je suis obligé de lui donner le QTDIR, je ne sais pas pourquoi le configure ne le trouve pas comme une grande.
    • [^] # Re: Pas vu ton nouveau journal :)

      Posté par . Évalué à 4.

      Ca pue les problèmes de versions, genre t'as les headers des libs d'installés, mais pas aux bonnes versions, ou il va pas chercher les bons (t'en aurais pas installé à la main il y a longtemps ?)

      Peut être que le configure vérifie pas les versions des libs, ou même leur présences.
      • [^] # Re: Pas vu ton nouveau journal :)

        Posté par (page perso) . Évalué à 3.

        Non, j'install presque rien a la main, et surtout pas des libs. Les seuls trucs que je compile ce sont des petits progs comme...Slag :)
        Mais merci pour la piste, j'y repense maitnenant, il y'a deux version de libsndfile, la 0.28 et la 1.0, je regarde ça ce soir. Si ca vient de cela, ça serait peux être bien de le préciser sur la page des téléchargement. En tout cas le configure ne teste pas la présence de cette lib, et donc encore moins sa version.
        • [^] # Re: Pas vu ton nouveau journal :)

          Posté par (page perso) . Évalué à 1.

          Si si, le configure teste bien la présence des libs et des headers. C'est vrai que je n'ai pas pensé à tester les versions. Je vais considérer ça...
          • [^] # Re: Pas vu ton nouveau journal :)

            Posté par (page perso) . Évalué à 2.

            Heuu je sais pas, j'ai viré libsndfile et le configure me fait pas d'erreur :

            dawar@ubuntu:~/slag-0.1$make clean
            [...]

            dawar@ubuntu:~/slag-0.1$ sudo apt-get remove libsndfile0
            Lecture des listes de paquets... Fait
            Construction de l'arbre des dépendances... Fait
            Les paquets suivants seront ENLEVÉS :
            libsndfile0 libsndfile0-dev
            [...]

            dawar@ubuntu:~/slag-0.1$ QTDIR=/usr/share/qt3/ ./configure
            checking for gcc... gcc
            checking for C compiler default output file name... a.out
            [...]
            configure: creating ./config.status
            config.status: creating Makefile
            config.status: creating slag.pro
            config.status: creating src/config.h

            libao support : yes.
            JACK support : yes.

            Now type 'make', followed by 'make install' as root.


            Bon, par contre quand je mets libsndfile1, ça compile, l'erreur venait bien d'une version trop ancienne de libsndfile, mais ce n'est pas vérifié par le configure.
            • [^] # Re: Pas vu ton nouveau journal :)

              Posté par (page perso) . Évalué à 1.

              Étrange, que la vérif ne se fasse pas. Bon, je me suis installé une Ubuntu dans Qemu, je vais pourvoir élucider ça. Sinon je suis en train de regader du côté de pkg-config pour ajouter une vérification des versions de lib installées. Merci d'avoir pointé ce problème :)
  • # jack

    Posté par . Évalué à 2.

    c'est pas mal, mais je ne sais pas pourquoi, j'ai un son pourri sous macosx, cela sature à mort et je n'arrive pas à changer cela. J'ai démarré jackd comme cela :

    /usr/local/bin/jackd -d coreaudio

    mais je ne connais rien à ce système je dois dire.

    Sinon le programme à l'air agréable à utiliser, même si je n'ai pas pu le tester beaucoup.

    Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

    • [^] # Re: jack

      Posté par (page perso) . Évalué à 2.

      Ok, moi je le lance en cliquant tout bêtement sur l'icone que Jack OS X installe dans "Applications". Cela lance JackPilot et ensuite je clique sur "Démarrer". Peux-tu rééssayer de cette manière ?
      Au fait, tu as quelle version de Mac OS X ?
      • [^] # Re: jack

        Posté par . Évalué à 2.

        mouaaaarf, je ne dois pas être habitué au "click n play" et à la philosophie mac, quel idiot je n'ai même pas pensé à aller regarder dans /Application, je pensais que l'on lançait cela directement depuis la console... :)

        En tout cas l'application devait lancer des paramètres en plus, maintenant le son est très bon, merci.
        (mac osx 10.3.9)

        Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

        • [^] # Re: jack

          Posté par (page perso) . Évalué à 2.

          Et oui sous Mac yakakliké :) Ça doit effectivement appeler des paramètres supplémentaire, peut-être qu'un ps dans Terminal nous renseignerait (perso pas de Mac présentement sous la main).

          J'ai testé sur la même version, je n'ai pas testé sous Tiger (Mac OS X 10.4.x).
  • # Bonne continuation

    Posté par . Évalué à 2.

    Testé avec libao, c'est bien sympa (:

    Y'a juste que quand je change le son d'une des lignes, que j'enregistre le fichier, à la réouverture il ne trouve pas les sons.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.